## ros-melodic-p2os-driver 2.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(p2os_driver)

find_package(catkin REQUIRED COMPONENTS
  p2os_msgs
  diagnostic_updater
  nav_msgs
  roscpp
  geometry_msgs
  tf
  std_msgs
  kdl_parser
)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES p2os_driver
  CATKIN_DEPENDS p2os_msgs nav_msgs roscpp geometry_msgs diagnostic_updater tf std_msgs kdl_parser
)

## Specify additional locations of header files
include_directories(include
  ${catkin_INCLUDE_DIRS}
)

## Declare a cpp executable
add_executable(p2os_driver
  src/p2osnode.cc
  src/p2os.cc
  src/kinecalc.cc
  src/packet.cc
  src/robot_params.cc
  src/sip.cc
  src/p2os_ptz.cpp
)

target_link_libraries(p2os_driver ${catkin_LIBRARIES})
add_dependencies(p2os_driver p2os_msgs_gencpp)

## Mark executables and/or libraries for installation
install(TARGETS p2os_driver
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-melodic-p2os-driver (2.1.1-3bionic) bionic; urgency=high



 -- Hunter L. Allen <hunter@openrobotics.org>  Tue, 03 Jul 2018 00:00:00 -0000

ros-melodic-p2os-driver (2.1.0-3bionic) bionic; urgency=high

  * Switch to format 2 (#48 <https://github.com/allenh1/p2os/issues/48>)
    * Update p2os_launch to package.xml format 2.
    * Update p2os_driver to package.xml format 2.
    * Update p2os_urdf to package.xml format 2.
    * Update p2os_teleop package.xml to format 2.
    * Update p2os_msgs to package.xml format 2.
    * Update p2os_doc to package.xml format 2.
  * Contributors: Hunter Allen

 -- Hunter L. Allen <hunter@openrobotics.org>  Tue, 01 Aug 2017 00:00:00 -0000

ros-melodic-p2os-driver (2.0.7-3bionic) bionic; urgency=high

  * Made a small change to prepare version bump.
  * Updated changelog.
  * Missed a paren.
  * Fixed compiler error.
  * Contributors: Hunter L. Allen
  * Missed a paren.
  * Fixed compiler error.
  * Contributors: Hunter L. Allen

 -- Hunter L. Allen <hunter@openrobotics.org>  Tue, 30 May 2017 00:00:00 -0000

ros-melodic-p2os-driver (2.0.6-3bionic) bionic; urgency=high



 -- Hunter L. Allen <hunter@openrobotics.org>  Mon, 22 May 2017 00:00:00 -0000

ros-melodic-p2os-driver (2.0.5-3bionic) bionic; urgency=high

  * Added missing dependencies.
  * Contributors: Hunter L. Allen

 -- Hunter L. Allen <hunter@openrobotics.org>  Thu, 26 May 2016 00:00:00 -0000

ros-melodic-p2os-driver (2.0.4-3bionic) bionic; urgency=high

  * Cleaned up driver source.
  * Contributors: Hunter L. Allen

 -- Hunter L. Allen <hunter@openrobotics.org>  Thu, 26 May 2016 00:00:00 -0000

ros-melodic-p2os-driver (2.0.3-3bionic) bionic; urgency=high

  * Reformatted code style.
  * Cleaned up the driver.
  * Contributors: Hunter Allen

 -- Hunter L. Allen <hunter@openrobotics.org>  Sun, 25 Oct 2015 00:00:00 -0000

ros-melodic-p2os-driver (2.0.2-3bionic) bionic; urgency=high

  * Fixed a small issue (but a big problem) in the source.
  * Contributors: Hunter Allen

 -- Hunter L. Allen <hunter@openrobotics.org>  Tue, 04 Aug 2015 00:00:00 -0000

ros-melodic-p2os-driver (2.0.1-3bionic) bionic; urgency=high

  * Doing some cleanup of the code.
  * Additional code updates for p3dx-sh-lms1xx parameters.
  * Added robot parameters for the P3DX models that ship with LMS1xx lasers.
  * Contributors: Damjan Miklic, Hunter Allen

 -- Hunter L. Allen <hunter@openrobotics.org>  Sat, 11 Jul 2015 00:00:00 -0000

ros-melodic-p2os-driver (1.0.13-3bionic) bionic; urgency=high

  * Added parameters the p2os node to specify frame IDs for the odom->base_link transform.
  * Contributors: Damjan Miklic

 -- Hunter L. Allen <hunter@openrobotics.org>  Sat, 02 May 2015 00:00:00 -0000

ros-melodic-p2os-driver (1.0.12-3bionic) bionic; urgency=high

  * Updated to match indigo-devel
  * Fixed dependency issues and cleaned up package.xml and CMakeLists.txt for p2os_driver and p2os_msgs
  * Separated p2os_driver and p2os_msgs
  * Fixed include paths of p2os_driver
  * General cleanup and fixing issues with the code
  * Contributors: Aris Synodinos, Hunter Allen

 -- Hunter L. Allen <hunter@openrobotics.org>  Wed, 25 Jun 2014 00:00:00 -0000

ros-melodic-p2os-driver (1.0.11-3bionic) bionic; urgency=high



 -- Hunter L. Allen <hunter@openrobotics.org>  Wed, 25 Jun 2014 00:00:00 -0000

ros-melodic-p2os-driver (1.0.10-3bionic) bionic; urgency=high



 -- Hunter L. Allen <hunter@openrobotics.org>  Wed, 28 May 2014 00:00:00 -0000

ros-melodic-p2os-driver (1.0.9-3bionic) bionic; urgency=high

  * Updated version
  * 1.0.7
  * Updated changelogs

 -- Hunter L. Allen <hunter@openrobotics.org>  Sun, 18 Aug 2013 00:00:00 -0000

ros-melodic-p2os-driver (1.0.7-3bionic) bionic; urgency=high

  * Updated to match hmt-git.com repository

 -- Hunter L. Allen <hunter@openrobotics.org>  Sun, 18 Aug 2013 00:00:00 -0000

ros-melodic-p2os-driver (1.0.5-3bionic) bionic; urgency=high

  * Syncing github with hmt-git.com repository

 -- Hunter L. Allen <hunter@openrobotics.org>  Tue, 23 Jul 2013 00:00:00 -0000

ros-melodic-p2os-driver (1.0.1-3bionic) bionic; urgency=high

  * Updating to match hmt-git.com repo
  * Added forgotten dependencies
  * Added package dependencies
  * Updated C++ Code
  * Updated package.xml
  * Updated CMakeLists.txt
  * Updated CMakeLists.txt
  * Added message header files
  * Remapped the files to the right headers
  * cleaned up include directory
  * Updated the main driver to use catkin
  * Added covariance to Odometry msg.
  * Modified the CMakeLists.txt file.
  * added the code

 -- Hunter L. Allen <hunter@openrobotics.org>  Mon, 22 Jul 2013 00:00:00 -0000

=== debian/control ===
Source: ros-melodic-p2os-driver
Section: misc
Priority: extra
Maintainer: Hunter L. Allen <hunter@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-diagnostic-updater, ros-melodic-geometry-msgs, ros-melodic-kdl-parser, ros-melodic-nav-msgs, ros-melodic-p2os-msgs, ros-melodic-roscpp, ros-melodic-std-msgs, ros-melodic-tf
Homepage: http://ros.org/wiki/p2os_driver
Standards-Version: 3.9.2

Package: ros-melodic-p2os-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-diagnostic-updater, ros-melodic-geometry-msgs, ros-melodic-kdl-parser, ros-melodic-message-runtime, ros-melodic-nav-msgs, ros-melodic-p2os-msgs, ros-melodic-roscpp, ros-melodic-std-msgs, ros-melodic-tf
Description: Driver file descriptions for P2OS/ARCOS robot

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-p2os-driver//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
